%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pychess
Version:        0.6.0
Release:        1%{?dist}
Summary:        Chess game for GNOME

Group:          Amusements/Games
License:        GPL
URL:            http://pychess.googlepages.com/home
Source0:        http://pychess.googlecode.com/files/%{name}-%{version}.final.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
   
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils, gettext

Requires:       pygtk2-libglade, python-sqlite2

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.


%prep
%setup -qn %{name}-%{version}.final


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#change permissions
%{__chmod} +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}/Utils/Move.py
%{__chmod} +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}/Utils/History.py
%{__chmod} +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}/Players/PyChess.py

#remove zero-length file
%{__rm} $RPM_BUILD_ROOT%{python_sitelib}/%{name}/Players/UCI.py

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS 
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/games/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man?/*

%changelog
* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.3.beta5
- Update description
* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.2.beta5
- Fix permissions
- Fix quiet %%setup
* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.1.beta5
- Initial build
